
# quickcapture_react_native

A React Native port of the **Quickcapture** SDK for easy integration into mobile applications. The Quickcapture plugin offers functionalities for capturing documents, optical codes (like QR codes and barcodes), building PDFs from captured images, and generating QR and barcode images from provided data. This document guides you through the installation and utilization of the Quickcapture plugin in your React Native application.

## Installation

Follow these steps to install the Quickcapture plugin using either npm or Yarn, depending on your preference:

**Using npm**
1. **Add the Package:**
   To install the latest version of the package, run:
    ```sh
    npm install @extrieve_technologies/quickcapture_react_native
    ```
   To install a specific version, use:
    ```sh
    npm install @extrieve_technologies/quickcapture_react_native@<version>
    ```
2. **Link the Package:**
   Autolinking will handle the process for React Native 0.60 and above. For iOS, you must run:
    ```sh
    cd ios && pod install && cd ..
    ```
3. **Rebuild Your Application:**
   Rebuild your application to ensure all native dependencies are properly linked.
   - For iOS:
    ```sh
    npx react-native run-ios
    ```
   - For Android:
    ```sh
    npx react-native run-android
    ```

**Using Yarn**
1. **Add the Package:**
   To install the latest version, execute:
    ```sh
    yarn add @extrieve_technologies/quickcapture_react_native
    ```
   For a specific version, specify it like this:
    ```sh
    yarn add @extrieve_technologies/quickcapture_react_native@<version>
    ```
## About Extrieve
At Extrieve, we enable businesses to achieve operational excellence with our world-class document management and workflow solutions. Our products can be easily integrated with existing solutions, which helps accelerate business processes, reduce operational costs, and drive productivity and business growth.

[More info](https://www.extrieve.com/)
